Subject: Re: SL deprecation draft

From: "EricLKlein" <[email-masked]>
Date: Tue, 18 Nov 2003 09:32:28 +0200

Brian E Carpenter wrote:

> While I'd personally love to declare RFC 1918 "Historic", it really is
> completely IPv4 specific so we have no reason to reference it.

I would agree that RFC1918 is pure v4 issue, but we will need take into
account that when these IPv4 networks are connected as part of IPv6 networks
we could get flooded with a lot of the ::10.x.x.x addresses that are
supposed to be "site local" under IPv4, but are now neither site local nor
unique under IPv6.

This is where we need to put in text in the Depriciation document, othewise
we will end up with a lot of congestion and leakage from what used to be
behind NATv4 or just local RFC1918 local site addresses.
>
> Where can I find the NATv6 group? I have a few things I'd like to
> say to them...

It looks like [email-masked] or [email-masked] the group working
on the NAT issues.
>
>     Brian
>
> EricLKlein wrote:
> >
> > I think the most basic RFC one was missed from the list: RFC1918.
Especially
> > since the NATv6 group is probably working under the presumptions that
these
> > addresses, or ones like them, still exist in IPv6.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Sellers, Julian P" <[email-masked]>
Date: Tue, 18 Nov 2003 09:26:52 -0600

(Editorial)

In the suggested paragraph, the urgent matter (revising 3484 and 3513) is presented as following from the less significant matter expressed in the first two sentences.  I would put it like this:

References to site local addresses should be removed as soon as practical from Default Address Selection for Internet Protocol version 6 (IPv6) [RFC3484] and from the revision of Internet Protocol Version 6 (IPv6) Addressing Architecture [RFC3513].  Incidental references to site local addresses should be removed from other IETF documents if and when they are updated.  These documents include [RFC2772, RFC2894, RFC3082, RFC3111, RFC3142, RFC3177].

Julian
>-----Original Message-----
>From: Christian Huitema [mailto:[email-masked]]
>Sent: Friday, November 14, 2003 11:27 AM
>To: Bob Hinden; [email-masked]
>Cc: Brian E Carpenter
>Subject: RE: SL deprecation draft
>
>
>So, what about a text such as:
>
>Several IETF documents mention site local addresses [RFC2772, RFC2894,
>RFC3082, RFC3111, RFC3142, RFC3177]. These mentions should be 
>removed if
>and when these documents are updated. In particular, the references to
>site local addresses should be removed from the revision of the Default
>Address Selection for Internet Protocol version 6 [RFC3484] 
>and from the
>revision of the Internet Protocol Version 6 (IPv6) Addressing
>Architecture [RFC3513].
>
>-- Christian Huitema

---

From: Bob Hinden <[email-masked]>
Date: Tue, 18 Nov 2003 12:08:28 -0800

>Frankly, I don't believe that we should worry about net 10 in the site
>local deprecation draft. The site local deprecation document is
>specifically about the prefix 0xFEC0::/10. In any case, such addresses
>are explicitly banned in the IPv6 addressing architecture. Section 2.5.5
>of RFC 3513 states:
>
>    Note: The IPv4 address used in the "IPv4-compatible IPv6 address"
>    must be a globally-unique IPv4 unicast address.
>
>Why should we deprecate an address format that is already illegal?

That's my view as well.  The Site-Local deprecation document should focus 
on deprecating Site-Local addresses.

Bob